#pragma once

#include "AppState.h"
#include "View.h"
#include "widgets.h"

#include <SDL2/SDL_render.h>
#include <SDL2/SDL_ttf.h>

#include <memory>
#include <unordered_map>
#include <vector>

class AMI final : public View {
public:
  AMI(SDL_Renderer* renderer);
  ~AMI();

  void draw(const AppState& state) override;

private:
  TTF_Font* font_medium;
  TTF_Font* font_large;

  std::unique_ptr<TextWidget> header;
  std::unordered_map<Mission, std::unique_ptr<TextWidget>> missions;
};