#pragma once
#include "View.h"
#include "defines.h"
#include "util.h"
#include "widgets.h"

class DriverView final : public View {
public:
  DriverView(SDL_Renderer* renderer);
  ~DriverView();

  void draw(const AppState& state) override;

private:
  TTF_Font* font_large;
  TTF_Font* font_detail;
  TTF_Font* font_tiny;
  TTF_Font* font_giant;
  TTF_Font* font_medium;
  std::unique_ptr<TextWidget> speed_widget;
  std::unique_ptr<TextWidget> speed_hint_widget;

  std::unique_ptr<TextWidget> brake_balance_widget;
  std::unique_ptr<TextWidget> brake_balance_hint_widget;

  std::unique_ptr<TextWidget> general_info_widget;

  std::unique_ptr<TextWidget> focus_widget;
  std::unique_ptr<TextWidget> focus_hint_widget;
};