#include "BaseDataSource.h"

#include <SDL2/SDL.h>
double BaseDataSource::get_speed() { return speed; }

double BaseDataSource::get_brake_balance() { return brake_balance; }

double BaseDataSource::get_hv_voltage() { return hv_voltage; }

double BaseDataSource::get_hv_voltage_ratio() { return hv_voltage_ratio; }

double BaseDataSource::get_lv_voltage() { return lv_voltage; }

double BaseDataSource::get_battery_temperature() { return battery_temperature; }

double BaseDataSource::get_throttle_ratio() { return throttle_ratio; }

double BaseDataSource::get_brake_pressure_front_bar() {
  return brake_pressure_front_bar;
}

double BaseDataSource::get_brake_pressure_rear_bar() {
  return brake_pressure_rear_bar;
}

void BaseDataSource::set_brake_balance(double value) {
  brake_balance = value;
  time_of_last_brake_balance_change = SDL_GetTicks();
}

bool BaseDataSource::brake_balance_change_is_recent() {

  return time_of_last_brake_balance_change != 0 &&
         SDL_GetTicks() - time_of_last_brake_balance_change < 500;
}
