#include "DemoDataSource.h"

#include <cmath>
#include <iostream>
DemoDataSource::DemoDataSource() {
  brake_balance = 0.5;

  lv_voltage = 13.1;
  battery_temperature = 20.1;
  throttle_ratio = 0.01;
  brake_pressure_front_bar = 1;
  brake_pressure_rear_bar = 1;
}

DemoDataSource::~DemoDataSource() {}

void DemoDataSource::poll() {
  int min_voltage = 150;
  int max_voltage = 480;
  static int count = 0;
  count++;
  hv_voltage = 220.1 + std::cos(count / 1000.0 + 2) * 50;
  hv_voltage_ratio = (hv_voltage - min_voltage) / (max_voltage - min_voltage);
  speed = 10 + std::sin(count / 100.0) * 5;
}

void DemoDataSource::bump_brake_balance_up() {
  set_brake_balance(brake_balance + 0.01);
}

void DemoDataSource::bump_brake_balance_down() {
  set_brake_balance(brake_balance - 0.01);
}